> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign Up with Facebook



## OpenAPI

````yaml POST /user/signup-fb
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /user/signup-fb:
    post:
      summary: >-
        Sign up new user with Facebook token. Agency will be automatically
        created in the background
      operationId: 381b2869efb621bb0e748b625786fb04
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              required:
                - access-token
              properties:
                access-token:
                  type: string
                preset_id:
                  type: integer
                  example: 1
                email:
                  description: Override email (if different from Facebook)
                  type: string
                  format: email
              type: object
      responses:
        '200':
          description: Returns User object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security: []
components:
  schemas:
    User:
      properties:
        fbid:
          type: integer
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        phone_number:
          type: string
        agency_id:
          type: integer
        agency_name:
          type: string
        credit_balance:
          type: number
          format: float
          example: '500.00'
      type: object

````